Subject: Re: bug#20704: info.el bug fix; Interprets Info format wrongly

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Jun 2015 21:21:25 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 10 Jun 2015 13:50:29 -0400
> 
> > Using byte-to-position would make things worse for Latin-1 and the likes.
> 
> There's also the problem of EOL encoding, but I'll just ignore it for now.

That was never a problem before Texinfo 5.x: makeinfo didn't count
the CR characters in the CRLF EOLs, and the Info readers removed the
CR characters when reading the Info files.

But Texinfo 5.x and later does count the CR characters, so the
stand-alone Info reader was recently changed to account for that.
Which means that Emacs will now have a problem, whereby the byte
counts in the tag tables will be inaccurate, and our only hope is the
1000-character tolerance we use to look for the node around the
position stated in the tag table will be large enough.

Read the gory details about that in this thread:

  http://lists.gnu.org/archive/html/bug-texinfo/2014-12/msg00068.html